%%Identification
%%The class identifies itself and the LaTeX version needed
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ieeeclass}[2019/09/29 IEEE class]

\RequirePackage{helvet}
\renewcommand{\familydefault}{\sfdefault}

\newcommand{\ieeetitle}[1]{\title{\fontsize{16pt}{16pt}\selectfont\textbf{#1}}}
\newcommand{\ieeeabstract}[1]{\vspace{-48pt}\section*{Abstract}\vspace{-6pt}\noindent\textit{#1}}
\newcommand{\ieeeauthorpicture}[1]{
	\begin{wrapfigure}{l}{30mm} 
		\includegraphics[width=3cm,height=4cm,clip,keepaspectratio]{#1}
	\end{wrapfigure}\par
}
\newcommand{\ieeeauthorcv}[1]{\noindent\\#1\par}

\RequirePackage{indentfirst}

%%Preliminary definitions, needed by the options
\LoadClass[12pt]{article}
\RequirePackage{titlesec}

\RequirePackage[a4paper,left=3cm,top=2.5cm,right=3cm,bottom=2.5cm]{geometry}

\RequirePackage{caption}
\captionsetup[figure]{labelfont={bf,it},textfont=it,labelsep=period}
\captionsetup[table]{labelfont={bf,it},textfont=it,labelsep=period}

\RequirePackage{enumitem}
\setlist[enumerate]{itemsep=0mm}

\RequirePackage{wrapfig}

\RequirePackage{authblk} 
\renewcommand\Authfont{\normalsize}

\setlength{\parskip}{0em}
\renewcommand{\baselinestretch}{1}

\titleformat{\section}         % Customise the \section command 
{\bfseries\normalsize\raggedright} % Make the \section headers large (\Large),
% small capitals (\scshape) and left aligned (\raggedright)
{\thesection.}{0.7em}                      % Can be used to give a prefix to all sections, like 'Section ...'
{}                           % Can be used to insert code before the heading
\titlespacing{\section}{0pt}{18pt}{6pt}

\titleformat{\subsection}
{\itshape\normalsize\raggedright}
{\thesubsection.}{0.1em}
{}
\titlespacing{\subsection}{0pt}{18pt}{6pt}

\pagenumbering{gobble}

\date{\vspace{-5ex}}
\date{} 